Subject: Re: bug#11612: 24.1; Defaults create warning on startup

From: Michael <[email-masked]>
Date: Tue, 23 Apr 2013 14:05:11 +0000 (UTC)

yary <not.com <at> gmail.com> writes:

> 
> On Sat, Jun 2, 2012 at 3:46 PM, Drew Adams <drew.adams <at> oracle.com> 
wrote:
> >> Could the warning message "Setting HOME to C:\ by default is
> >> deprecated" also include "Move .emacs out from C:\"
> >
> > There is nothing wrong with having .emacs in c:\.
> >
> > IIUC, this change is about Emacs not looking in c:\ _by default_.  It is 
not
> > about discouraging or forbidding anyone from setting HOME to c:\.
> 
> OK, I didn't know the background. A pointer to an info node about the
> change might be more appropriate, give room for description.
> 
> The problem I had was being confronted with a warning, not being sure
> of the source, not finding a variable "HOME" after typing "c-h v HOME"
> ("c-h v *home*" got me closer, but the docs for abbreviated-home-dir
> didn't tell me much), and not knowing where and how HOME was being
> set. So all this warning needs is a little more verbosity, giving the
> end user more help on fixing the cause.
> 
> Thanks
> 
> 
This.  100 times this.  I have this warning coming up every time I open 
emacs.  It gives no indication of how to fix it.  Also, neither it, nor this 
thread, nor any number of other sites I found by searching give any 
indication of where the .emacs file is SUPPOSED to go instead.